### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
ForwardVanillaEngine< Engine > Class Template Reference
Forward option engines

Forward engine for vanilla options More...

`#include <ql/pricingengines/forward/forwardengine.hpp>`

Inheritance diagram for ForwardVanillaEngine< Engine >:
[legend]

List of all members.

## Public Member Functions

| ForwardVanillaEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Protected Member Functions

void | setup () const
void | getOriginalResults () const

## Protected Attributes

boost::shared_ptr < GeneralizedBlackScholesProcess > | process_
boost::shared_ptr< Engine > | originalEngine_
VanillaOption::arguments * | originalArguments_
const VanillaOption::results * | originalResults_

## Detailed Description

### template<class Engine>
class QuantLib::ForwardVanillaEngine< Engine >

Forward engine for vanilla options

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.